%global dlrn_nvr 0.0.1-2.20210527200651.8633fbd
%global dlrn 1
%define upstream_version 0.0.1
%global srcname tripleo_powerflex
%global rolename tripleo-powerflex

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           ansible-%{rolename}
Version: 0.0.1
Release: 2.20210527200651.8633fbd%{?dist}.2
Summary:        Ansible role for setting up PowerFlex for TripleO

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://github.com/dell/tripleo-powerflex
Source0: 0.0.1-2.20210527200651.8633fbd.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=8633fbd2c4c48ad66091f7ab3c8a94bc984bd8d7

BuildArch:      noarch
BuildRequires:  git

%if 0%{?fedora} || 0%{?rhel} > 7
Requires:       python3dist(ansible)
%else
Requires:       ansible
%endif

Requires:       openstack-tripleo-heat-templates

%description

Ansible role to configure PowerFlex for TripleO

%prep
%autosetup -n %{name}-%{upstream_version} -S git


%build


%install
mkdir -p  %{buildroot}%{_datadir}/ansible/roles/
cp -r tripleo-powerflex-run-ansible %{buildroot}%{_datadir}/ansible/roles/
cp -r powerflex-ansible %{buildroot}%{_datadir}/
mkdir -p %{buildroot}%{_datadir}/openstack-tripleo-heat-templates/environments
mkdir -p  %{buildroot}%{_datadir}/openstack-tripleo-heat-templates/deployment
cp -r templates/overcloud/environments/powerflex-ansible %{buildroot}%{_datadir}/openstack-tripleo-heat-templates/environments
cp -r templates/overcloud/deployment/powerflex-ansible %{buildroot}%{_datadir}/openstack-tripleo-heat-templates/deployment


%files
%doc README*
%license LICENSE
%{_datadir}/ansible/roles/tripleo-powerflex-run-ansible
%{_datadir}/powerflex-ansible
%{_datadir}/openstack-tripleo-heat-templates/environments/powerflex-ansible
%{_datadir}/openstack-tripleo-heat-templates/deployment/powerflex-ansible


%changelog
* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 0.0.1-2.20210527200651.8633fbd.2
- Bump release

* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 0.0.1-2.20210527200651.8633fbd.1
- Bump release

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.1-2.20210527200651.8633fbd
- Update patches

* Tue May 18 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.1-2.20210518131414.8633fbd
- Update patches

* Mon May 10 2021 OSP Prod Chain <dev-null@redhat.com> private-2.20210510082143.8633fbd
- Update patches
- Adding check to verify if Powerflex is already installed prior to launching the installation

